using System;
using System.Numerics;
class finale
{
    static void Main()
    {
        string[] prva=Console.ReadLine().Split();
        BigInteger n= BigInteger.Parse(prva[0]);
        BigInteger m= BigInteger.Parse(prva[1]);
        BigInteger r;
        r=2*(n+m-2)+(m-2)*(n-2)/2;
        Console.WriteLine(r);
    }
}